%define upstream_name    Syntax-Highlight-Perl-Improved
%define upstream_version 1.01

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Highlighting of Perl Syntactical Structures
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Syntax/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%{?perl_default_filter}

%description
This module provides syntax highlighting for Perl code. The design bias is
roughly line-oriented and streamed (ie, processing a file line-by-line in a
single pass). Provisions _may_ be made in the future for tasks related to
"back-tracking" (ie, re-doing a single line in the middle of a stream) such
as speeding up state copying.

Constructors
    The only constructor provided is 'new()'. When called on an existing
    object, 'new()' will create a new _*copy*_ of that object. Otherwise,
    'new()' creates a new copy of the (internal) _Default Object_. Note
    that the use of the procedural syntax modifies the _Default Object_ and
    that those changes _will_ be reflected in any subsequent 'new()' calls.

Formatting
    Formatting is done using the 'format_string()' method. Call
    'format_string()' with one or more strings to format, or it will
    default to using '$_'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc ChangeLog INSTALL README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.10.0-12.mga10
+ Revision: 2200743
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.10.0-11.mga9
+ Revision: 1805890
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.10.0-10.mga8
+ Revision: 1497251
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.10.0-9.mga7
+ Revision: 1271378
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.10.0-8.mga6
+ Revision: 1033587
- Rebuild for perl 5.22.2

* Mon Feb 01 2016 umeabot <umeabot> 1.10.0-7.mga6
+ Revision: 930864
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.10.0-6.mga5
+ Revision: 744852
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.10.0-5.mga5
+ Revision: 733450
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.10.0-4.mga5
+ Revision: 686278
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.10.0-3.mga4
+ Revision: 514824
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.10.0-2.mga3
+ Revision: 372906
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Oct 29 2011 shlomif <shlomif> 1.10.0-1.mga2
+ Revision: 159780
- imported package perl-Syntax-Highlight-Perl-Improved


* Sat Oct 29 2011 cpan2dist 1.01-1mga
- initial mageia release, generated with cpan2dist
